Subject: IceCat shows ACE/Punycode instead of IDN

From: Ludovic Courtès <[email-masked]>
Date: Wed, 24 Mar 2021 12:46:03 +0100

IceCat shows ASCII-compatible encoding (ACE, roughly Punycode) for
so-called internationalized domain names (IDNs) instead of displaying
them properly—e.g., <https://xn--drivation-b4a.fr/> instead of
<https://dérivation.fr/>.

I believe it purposefully has a white list of the kind of IDNs it
accepts to display properly (to avoid phishing).  In ‘about:config’
there’s a set of ‘network.IDN.whitelist’ Booleans, which suggest the
example above should work, but for some reason it doesn’t.

Ideas?

Ludo’.